<div class="sidebar_menu" [@onSideNavChange]="sidebarState" style="height: 81%; width: 99%;">
    <mat-nav-list class="menu-list">
        <mat-list-item class="itemlist " [@nameAnimation]="sidebarState">
            <h3>WiDigital</h3>
            <h5 class="svcmaIcon">Thinking Group</h5>
        </mat-list-item>
        <mat-divider style="margin-top: 8px;
        background-color: rgb(245, 245, 245);
    "></mat-divider><br>
        <div class="flex-container">
            <div class="flex-item">
                <mat-card style="background-color: rgb(242, 187, 19);">
                    <div class="row" style="margin-right: 15px;" [@notifAnimation]="sidebarState">
                        <div class="col">
                            <div mat-card-avatar style="margin-left: -10px; cursor: pointer;"
                                class="example-header-image" [matMenuTriggerFor]="matUserMenu"
                                aria-label="Toggle matUserMenu"></div>
                            <mat-menu #matUserMenu="matMenu" xPosition="before">
                                <button mat-menu-item>MyAccount</button>
                                <button mat-menu-item>Logout</button>
                            </mat-menu>
                        </div>
                        <div class="col">
                            <span [@labelAnimation]="sidebarState" style="color: rgb(255, 255, 255);
                                font-family: cursive;
                                font-size: 14px;">Amine SBOUI</span>
                        </div>
                        <div class="col">
                            <button mat-icon-button class=" example-header-not" [matMenuTriggerFor]="menu"
                                aria-label="Toggle menu" [@notiffAnimation]="sidebarState">
                                <mat-icon matBadge="15" matBadgeColor="warn" matBadgeSize="small">mail_outline
                                </mat-icon>
                            </button>
                            <mat-menu #menu="matMenu" xPosition="before">
                                <button mat-menu-item>Notification one</button>
                                <button mat-menu-item>Notification two</button>
                            </mat-menu>
                        </div>
                    </div>

                </mat-card>
                <mat-divider style="margin-top: 15px;
                background-color: rgb(245, 245, 245);
            "></mat-divider><br>
<!--                 <mat-accordion>
                    <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"
                        class="menuColor">
                        <mat-expansion-panel-header>
                            <mat-panel-title>
                                <mat-icon class="svcmaIcon">account_circle</mat-icon>
                            </mat-panel-title>
                            <mat-panel-description>
                                <span class="itemlist">Amine Sboui</span>
                                 {{panelOpenState ? 'open' : 'closed'}} 
                            </mat-panel-description>
                        </mat-expansion-panel-header>
                        <p>I'm visible because I am open</p>
                    </mat-expansion-panel>
                </mat-accordion> -->
                <a mat-list-item routerLinkActive="active-list-item" routerLink="/dashboard" title="Dashboard"
                    class="menuColor">
                    <mat-icon class="icon svcmaIcon" [@iconAnimation]="sidebarState">dashboard</mat-icon>
                    <span class="label itemlist" [@labelAnimation]="sidebarState">Dashboard</span>
                </a>
                <a mat-list-item routerLinkActive="active-list-item" routerLink="/mailmodels" title="Dashboard"
                    class="menuColor">
                    <mat-icon class="icon svcmaIcon" [@iconAnimation]="sidebarState">mail_outline</mat-icon>
                    <span class="label itemlist" [@labelAnimation]="sidebarState">Mailing Module</span>
                </a>
                <a mat-list-item routerLinkActive="active-list-item" routerLink="work" title="Work" class="menuColor">
                    <mat-icon class="icon svcmaIcon" [@iconAnimation]="sidebarState">work</mat-icon>
                    <span class="label itemlist" [@labelAnimation]="sidebarState">Work</span>
                </a>
                <a mat-list-item routerLinkActive="active-list-item" routerLink="" title="Feedback" class="menuColor">
                    <mat-icon class="icon svcmaIcon" [@iconAnimation]="sidebarState">feedback</mat-icon>
                    <span class="label itemlist" [@labelAnimation]="sidebarState">Feedback</span>
                </a>
            </div>
            <div class="flex-item">
                <a mat-list-item routerLinkActive="active-list-item" routerLink="" title="Login" class="menuColor">
                    <mat-icon class="icon svcmaIcon" [@iconAnimation]="sidebarState">keyboard_return</mat-icon>
                    <span class="label itemlist" [@labelAnimation]="sidebarState">Logout</span>
                </a>
            </div>
        </div>
    </mat-nav-list>
</div>

<!-- 
<mat-drawer-container class="example-container">
    <mat-drawer mode="side" opened style="background-color:rgb(69, 76, 85); width: 60px;">
        <div (mouseenter)="snav.toggle()" >
            <mat-nav-list>
                <mat-list-item class="itemlist ">
                    <img src="../../assets/img/logo.png" style="width: 126%; height: 50%;">
                </mat-list-item>
                <a mat-list-item routerLink="/admin" class="menuList">
                    <mat-icon mat-list-icon class="svcmaIcon">dashboard</mat-icon>
                </a>
                <a mat-list-item routerLink="/mail-models" class="menuList" (click)="snav.toggle()">
                    <mat-icon mat-list-icon class="svcmaIcon">contact_mail</mat-icon>
                </a>
                <a mat-list-item routerLink="/adressform" class="menuList">
                    <mat-icon mat-list-icon class="svcmaIcon">assignment</mat-icon>
                </a>
                <a mat-list-item routerLink="/dragdrop" class="menuList">
                    <mat-icon mat-list-icon class="svcmaIcon">group_work</mat-icon>
                </a>
                <a mat-list-item routerLink="." class="menuList">
                    <mat-icon mat-list-icon class="svcmaIcon">group_work</mat-icon>
                </a>
                <a mat-list-item routerLink="/table" class="menuList">
                    <mat-icon mat-list-icon class="svcmaIcon">group_work</mat-icon>
                </a>
                <a mat-list-item routerLink="/tree" class="menuList">
                    <mat-icon mat-list-icon class="svcmaIcon">group_work</mat-icon>
                </a>
            </mat-nav-list>
        </div>
    </mat-drawer>
    <mat-drawer-content>
        <mat-drawer-container class="example-container">
            <mat-drawer-content>
                <div class="example-container" [class.example-is-mobile]="mobileQuery.matches">
                    <!--             <mat-toolbar color="" class="example-toolbar">

                <h1 class="example-app-name">WiDigital</h1>
            </mat-toolbar> -->
<!--
                    <mat-sidenav-container class="example-sidenav-container"
                        [style.marginTop.px]="mobileQuery.matches ? 0 : 0">
                        <mat-sidenav [@slideInOut]="menuState" #snav [mode]="mobileQuery.matches ? 'over' : 'side'"
                            [fixedInViewport]="mobileQuery.matches" fixedTopGap="0"
                            style="background-color:rgb(69, 76, 85)">
                            <mat-nav-list>
                                <mat-list-item class="itemlist ">
                                    <h3>WiDigital</h3>
                                    <h5 class="svcmaIcon">Thinking Group</h5>
                                </mat-list-item>
                                <a mat-list-item routerLink="/admin" class="menuList" style="height: 56px;">
                                    <h5 mat-line class="itemlist">Dashbord</h5>
                                </a>
                                <a mat-list-item routerLink="/mail-models" class="menuList" style="height: 56px;"
                                    (click)="toggle()">
                                    <h5 mat-line class="itemlist ">Mailing Module</h5>
                                </a>
                                <a mat-list-item routerLink="/adressform" class="menuList" style="height: 56px;">
                                    <h5 mat-line class="itemlist">adressform</h5>
                                </a>
                                <a mat-list-item routerLink="/dragdrop" class="menuList" style="height: 56px;">
                                    <h5 mat-line class="itemlist">dragdrop</h5>
                                </a>
                                <a mat-list-item routerLink="." class="menuList" style="height: 56px;">
                                    <h5 mat-line class="itemlist">navigation</h5>
                                </a>
                                <a mat-list-item routerLink="/table" class="menuList" style="height: 56px;">
                                    <h5 mat-line class="itemlist">table</h5>
                                </a>
                                <a mat-list-item routerLink="/tree" class="menuList" style="height: 56px;">
                                    <h5 mat-line class="itemlist">tree</h5>
                                </a>
                            </mat-nav-list>
                        </mat-sidenav>

                    <app-content></app-content>

                    </mat-sidenav-container>
                </div>
            </mat-drawer-content>
        </mat-drawer-container>
    </mat-drawer-content>
</mat-drawer-container>


 -->